import request from "@/utils/httpRequest";
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/extension/formDefinition/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/formDefinition/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/extension/formDefinition/queryById",
			method: "get",
			params: { id: id },
		});
	},
	queryByJsonId: function (jsonId) {
		return request({
			url: prefix + "/extension/formDefinition/queryByJsonId",
			method: "get",
			params: { jsonId: jsonId },
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/extension/formDefinition/list",
			method: "get",
			params: params,
		});
	},
};
